DISKMAP(4)

NAME
diskmap - disklabel UID mapping interface

SYNOPSIS
#include <sys/dkio.h>

DESCRIPTION
The diskmap driver provides userland applications with a means to map a disklabel UID to an actual device and open that device in one atomic operation. This is achieved via the DIOCMAP ioctl(2) command.

The ability to use a disklabel UID is helpful in situations where a disk may appear to the operating system under different device names. For example, plugging USB keys into differently configured systems (think sd0 or sd1), or swapping between IDE and AHCI on a disk controller (wd0 or sd0). Although the device names may change, the operating system is still able to identify the disk by its UID.

FILES
/dev/diskmap
    diskmap device

SEE ALSO
ioctl(2), disklabel(8)

HISTORY
The diskmap driver first appeared in OpenBSD 4.8.

AUTHORS
The diskmap driver was written by Joel Sing.